
Application: gvSIG desktop - gvSIG bugs #4092
Error leyendo desde POSTGIS capas exportadas desde DGN
02/05/2016 10:01 AM - Daniel Martinez

Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: Daniel Martinez
Category: Database
Target version: 2.3.0-2429 (rev. org.gvsig.desktop-2.0.135,  NOT USABLE)
Severity: Minor Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Al intentar leer desde POSTGIS una capa DGN que se haya exportado carga la tabla pero deja las geometrías en blanco. Esta
misma tabla si que se puede exportar correctamente desde QGIS.

Associated revisions
Revision 42727 - 02/16/2016 02:07 PM - Daniel Martinez

refs #4092 WKB was not properly reading geometry types

Revision 42729 - 02/16/2016 04:46 PM - Daniel Martinez

refs #4092 Se deshace cambio

History
#1 - 02/15/2016 07:57 AM - Daniel Martinez
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- Assignee set to Daniel Martinez
- Status changed from New to In progress

#2 - 02/15/2016 02:24 PM - Álvaro Anguix
- Category set to Database

#3 - 02/16/2016 02:19 PM - Daniel Martinez
- Status changed from In progress to Fixed

#4 - 02/16/2016 04:49 PM - Daniel Martinez
- Status changed from Fixed to In progress

#5 - 02/16/2016 05:06 PM - Joaquín  del Cerro Murciano

Tengo dudas sobre cual es el arreglo adecuado.
Hemos encontrado al menos dos fuentes sobre el formato del tipo de geometria del WKB. Por un lado una en la wikipedia:
https://en.wikipedia.org/wiki/Well-known_text

Y por otro lado los fuentes del WKBReader de GEOS, la libreria que usa PostGIS:

https://trac.osgeo.org/geos/browser/trunk/src/io/WKBReader.cpp#L249

Y algun correo con comentarios sobre esto:

http://lists.osgeo.org/pipermail/postgis-devel/2004-December/000710.html
http://lists.osgeo.org/pipermail/geos-devel/2011-August/005370.html

No tengo claro que esquema seguir.

#6 - 02/24/2016 02:27 PM - Álvaro Anguix
- Target version deleted (2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153))

#7 - 02/24/2016 02:27 PM - Álvaro Anguix
- Target version set to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

#8 - 06/16/2016 08:51 AM - Daniel Martinez
- % Done changed from 0 to 100
- Status changed from In progress to Fixed

Con los arreglos realizados recientemente sobre la librería de geometrías para el tratamiento de WKB, parece ser que se ha solucionado ya este
problema.

#9 - 06/19/2016 10:08 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2429 (rev. org.gvsig.desktop-2.0.135,  NOT USABLE)

#10 - 07/25/2016 10:38 AM - Álvaro Anguix
- Status changed from Fixed to Closed
